{ lib, ... }:

with lib;

{
  imports = [ 
    ../../options/machine.nix 
    ../../options/copySysConf.nix
  ];

  config.machine = {
    allowUnfree = true;
    hostName = "Lilim";
    conffiles = [
      "etcfiles"
      "etcvars"
      "fonts"
      "zsh"
    ];
    pkgs = [
      "base"
      "dict"
      "emacs"
      "extra"
      "cpp"
      "haskell"
      "mailutils"
      "python3"
      "rustpkgs"
      "xpkgs"
    ];
    services = [
      "containers"
      "desktop"
      "docker"
      "udev"
      "cups"
    ];
    firewall = {
      allowPing = true;
      allowedUDPPorts = [];
      allowedTCPPorts = [];
      allowedUDPPortRanges = [ { from = 1714; to = 1764; } ];
      allowedTCPPortRanges = [ { from = 1714; to = 1764; } ];
    };
    desktop.wms = [ "i3" ];
  };

  config.system.copySysConf = {
    enable = true;
    addToNixPath = false;
  };
}
